%% Computing the sub coordinates
% @author Mazurek/Bartalsky
%
% Get the P_ij points out of the subcoordinates
% abs(M(i,x)-M(i,x+1))*(j/(m+1))
% We will generate m-sub coordinates between the corresponding
% coordinates pair.
%% generateSubCoords.m parameters
%
% * *Input:*  
% * _M_ ... parallel coordinates of a dataset
% * _m_ ... number of subCoordinates
% * *Ouput:*
% * _subCoords_ ... the computed sub Coords
function [ subCoords ] = generateSubCoords(M,m)

rows = size(M,1);
columns = size(M,2);

% We will assume, that the order of the subCoords is like: The first is
% between 1 and 2, the second between 2 and 3, etc.

for x=1:(columns-1)
    subCoords(x).number = x;
    subCoords(x).subs = zeros(rows,m);
    for i=1:rows
        for j=1:m      
            coordinate = 0;
            % compute
            coordinate = abs(M(i,x)-M(i,x+1))*(j/(m+1));
            
            if(M(i,x) > M(i,x+1))
               coordinate = M(i,x) - coordinate;
            else
               coordinate = M(i,x) + coordinate;
            end
            
            subCoords(x).subs(i,j) = coordinate;
        end
    end
end

end

