%% Visual Clustering of Parallel Coordinates
% @author Mazurek/Bartalsky
%% main.m parameters
%
% * *Input:*  
% * _M_ ... parallel coordinates of a dataset
% * _m_ ... number of subCoordinates
% * _q_alpha_ ... a constant parameter for force computation  
% * _q_d_ ... a constant parameter for force computation 
% * _alpha_c_ ... The share of the two energy terms.
% * *Ouput:*
% * _subM_ ... the interpolated subCoords before the computation
% * _valM_ ... the computed subCoords after the computation

function[subM, valM]=main(M,m,q_alpha,q_d,alpha_c)

% Read out the dimensions
rows = size(M,1);
columns = size(M,2);

% Choose the number of neighbours for force computation.
nl=30;

%% Generate SubCoords
subM = generateSubCoords(M,m);

%% Compute the Force
[forceM, initFM] = computeForce(M, subM, nl, q_alpha, q_d);

%% Setup the system of linear equations.

for x=1:(columns - 1)
    valM(x).subs = generateEQ(M(:,x:(x+1)), subM(x).subs, forceM(:, (m*x+(x-(m-1))):(m*x+x)),initFM(:, (m*x+(x-(m-1))):(m*x+x)), alpha_c); 
end

end

