%% Plot Bezier Curves
% @author Mazurek/Bartalsky

%% plotBezier.m parameters   
% * *Description:*
% * Plots beziercurves from subcoordinates, this function computes
% * all dimensions and returns a plot which is used by the axes in the GUI.
% * *Input:*  
% * _M_ ... matrix of the multidimensional observations, rows are
% dimensions, collumns are observations
% * _subM_ ... matrix shaped like M, contains subcoordinates of the M matrix
function plotBezier( M, subM)

hold on
axis off
plot([0 0],[0 1], 'black');
for b=1:size(M,2)-1
sub=subM(b).subs;
m = size(sub,2);
n = size(sub,1);

t=(b-1:1/(m+1):b)';
plot([b b],[0 1], 'black');
x=[M(:,b) sub(:,:) M(:,b+1)]';
    for a=1 : n
    x1=x(:,a);    
    points=[t x1];   
    bc=bezier_(points, 30, []);
    plot(bc(:,1),bc(:,2),'r');
    end
end

end