%% Plot SubCoords
% @author Mazurek/Bartalsky

%% plotSubs.m parameters 
% * *Description:*
% * Plots lines from subcoordinates, this function computes
% * all dimensions and returns a plot which is used by the axes in the GUI.
% * *Input:*  
% * _M_ ... parallel coordinates of a dataset, rows are
% dimensions, collumns are observations
% * _subM_ ... matrix shaped like M, contains subcoordinates of the M matrix
function plotSubs( M, subM)

hold on
axis off
plot([0 0],[0 1], 'black');
for b=1:size(M,2)-1
    sub=subM(b).subs;
    m = size(sub,2);
    n = size(sub,1);

    t=(b-1:1/(m+1):b);
    plot([b b],[0 1], 'black');
    x=[M(:,b) sub(:,:) M(:,b+1)];
    for i=1:n
        for j=1:m
            if(j~=m)
                plot([t(j) (t(j+1))],[x(i,j) x(i,j+1)], 'r');
            else
                plot([t(j) (t(j+1))],[x(i,j) x(i,j+1)], 'r');
                plot([t(j+1) (t(j+2))],[x(i,j+1) x(i,j+2)], 'r');
            end
       end
    end
end

output_args = 0;
end

